all:
	@if [ `uname` != 'Darwin' ] ; then \
		( cd GL ; make ) ; \
		( cd ST ; make ) ; \
	else \
		( cd GL ; make -f Makefile-macosx ) ; \
		( cd QT ; make -f Makefile-macosx ) ; \
		( cd ST ; make -f Makefile-macosx ) ; \
	fi

install:
	@if [ `uname` != 'Darwin' ] ; then \
		( cd GL ; make install ) ; \
		( cd ST ; make install ) ; \
	fi

clean:
	@if [ `uname` != 'Darwin' ] ; then \
		( cd GL ; make clean ) ; \
		( cd ST ; make clean ) ; \
	else \
		( cd GL ; make -f Makefile-macosx clean ) ; \
		( cd QT ; make -f Makefile-macosx clean ) ; \
		( cd ST ; make -f Makefile-macosx clean ) ; \
	fi
